Skip to main content
GET
https://api.muvi.video
/
v1
/
catalog
/
models
/
{slug}
# Get a specific capability variant
curl -X GET https://api.muvi.video/v1/catalog/models/google/veo-3.1-fast/text-to-video

# Get default capability
curl -X GET https://api.muvi.video/v1/catalog/models/google/nano-banana
{
  "slug": "google/veo-3.1-fast/text-to-video",
  "provider": {
    "id": "google",
    "name": "Google",
    "logoUrl": "https://cdn.muvi.video/providers/google.png"
  },
  "name": "Veo 3.1 Fast",
  "description": "Google's high-speed video generation model with text-to-video capability",
  "category": "video",
  "capability": "text-to-video",
  "inputSchema": {
    "type": "object",
    "required": ["prompt"],
    "properties": {
      "prompt": {
        "type": "string",
        "description": "Text description of the video to generate"
      },
      "duration": {
        "type": "number",
        "description": "Video duration in seconds",
        "minimum": 1,
        "maximum": 30
      },
      "aspectRatio": {
        "type": "string",
        "enum": ["16:9", "9:16", "1:1"]
      }
    }
  },
  "pricing": {
    "baseCredits": 50,
    "unit": "per_generation"
  },
  "siblings": [
    {
      "slug": "google/veo-3.1-fast/image-to-video",
      "capability": "image-to-video"
    }
  ]
}

Authentication

This is a public endpoint. No authentication required.

Path Parameters

slug
string
required
The model slug. Supports two formats:
  • provider/model — returns the default capability
  • provider/model/capability — returns a specific capability variant
Examples:
  • google/veo-3.1-fast/text-to-video
  • alibaba/wan-2.2-super/image-to-video
  • google/nano-banana

Response

slug
string
Full model slug.
provider
object
Provider information.
name
string
Display name of the model.
description
string
Detailed model description.
category
string
Model category.
capability
string
Specific capability of this variant.
inputSchema
object
JSON Schema defining the accepted input parameters for this model.
pricing
object
Detailed pricing information.
siblings
array
Other capability variants of the same model.
# Get a specific capability variant
curl -X GET https://api.muvi.video/v1/catalog/models/google/veo-3.1-fast/text-to-video

# Get default capability
curl -X GET https://api.muvi.video/v1/catalog/models/google/nano-banana
{
  "slug": "google/veo-3.1-fast/text-to-video",
  "provider": {
    "id": "google",
    "name": "Google",
    "logoUrl": "https://cdn.muvi.video/providers/google.png"
  },
  "name": "Veo 3.1 Fast",
  "description": "Google's high-speed video generation model with text-to-video capability",
  "category": "video",
  "capability": "text-to-video",
  "inputSchema": {
    "type": "object",
    "required": ["prompt"],
    "properties": {
      "prompt": {
        "type": "string",
        "description": "Text description of the video to generate"
      },
      "duration": {
        "type": "number",
        "description": "Video duration in seconds",
        "minimum": 1,
        "maximum": 30
      },
      "aspectRatio": {
        "type": "string",
        "enum": ["16:9", "9:16", "1:1"]
      }
    }
  },
  "pricing": {
    "baseCredits": 50,
    "unit": "per_generation"
  },
  "siblings": [
    {
      "slug": "google/veo-3.1-fast/image-to-video",
      "capability": "image-to-video"
    }
  ]
}